package com.jeeplus.modules.sg.managementcenter.reserveManagement.entity;

import com.jeeplus.core.persistence.ActEntity;

/**
 * 储备流程实体类
 * */
public class ReserveProcess extends ActEntity<ReserveProcess> {

    /**
     * 储备项目编号
     * */
    private String projectReserveId;

    /**
     * 项目名称
     * */
    private String projectName;
    /**
     * 储备项目基础数据
     */
    private ReserveManagement reserveManagement;
    /**
     * 预算书
     * */
    private String budgetStatement;
    /**
     * 项目建议书
     * */
    private String projectProposal;
    /**
     * 图纸
     * */
    private String drawings;
    /**
     * 甲供材清册
     * */
    private ScaleDetails scaleDetails;
    /**
     * 施工图设计说明书
     * */
    private String drawingSpecification;
    /**
     * 送审概算金额（含税）
     * */
    private String submittedApproval;
    /**
     * 施工费（含税）
     * */
    private String constructionCost;
    /**
     * 甲供物资金额（含税）
     * */
    private String amountFunds;
    /**
     * 其他费用（含税）
     * */
    private String otherExpenses;
    /**
     * 送审前期工程费（含税）
     * */
    private String preliminaryCost;
    /**
     * 送审勘察费（含税）
     * */
    private String investigationFee;
    /**
     * 送审设计费（含税）
     * */
    private String designFee;
    /**
     * 送审监理费（含税）
     * */
    private String supervisionFee;
    /**
     * 审定概算金额（含税）
     * */
    private String examineIncluding;
    /**
     * 可抵扣税金
     * */
    private String deductibleTaxes;
    /**
     * 审定概算金额（除税）
     * */
    private String examineInExcluding;
    /**
     * 施工费（含税）
     * */
    private String constructionTax;
    /**
     * 甲供物资金额（含税）
     * */
    private String amountTax;
    /**
     * 其他费用（含税）
     * */
    private String otherTax;
    /**
     * 送审前期工程费（含税）
     * */
    private String preliminaryTax;
    /**
     * 送审勘察费（含税）
     * */
    private String investigationTax;
    /**
     * 送审设计费（含税）
     * */
    private String designTax;
    /**
     * 送审监理费（含税）
     * */
    private String supervisionTax;

    public String getProjectReserveId() {
        return projectReserveId;
    }

    public void setProjectReserveId(String projectReserveId) {
        this.projectReserveId = projectReserveId;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public ReserveManagement getReserveManagement() {
        return reserveManagement;
    }

    public void setReserveManagement(ReserveManagement reserveManagement) {
        this.reserveManagement = reserveManagement;
    }

    public String getBudgetStatement() {
        return budgetStatement;
    }

    public void setBudgetStatement(String budgetStatement) {
        this.budgetStatement = budgetStatement;
    }

    public String getProjectProposal() {
        return projectProposal;
    }

    public void setProjectProposal(String projectProposal) {
        this.projectProposal = projectProposal;
    }

    public String getDrawings() {
        return drawings;
    }

    public void setDrawings(String drawings) {
        this.drawings = drawings;
    }

    public ScaleDetails getScaleDetails() {
        return scaleDetails;
    }

    public void setScaleDetails(ScaleDetails scaleDetails) {
        this.scaleDetails = scaleDetails;
    }

    public String getDrawingSpecification() {
        return drawingSpecification;
    }

    public void setDrawingSpecification(String drawingSpecification) {
        this.drawingSpecification = drawingSpecification;
    }

    public String getSubmittedApproval() {
        return submittedApproval;
    }

    public void setSubmittedApproval(String submittedApproval) {
        this.submittedApproval = submittedApproval;
    }

    public String getConstructionCost() {
        return constructionCost;
    }

    public void setConstructionCost(String constructionCost) {
        this.constructionCost = constructionCost;
    }

    public String getAmountFunds() {
        return amountFunds;
    }

    public void setAmountFunds(String amountFunds) {
        this.amountFunds = amountFunds;
    }

    public String getOtherExpenses() {
        return otherExpenses;
    }

    public void setOtherExpenses(String otherExpenses) {
        this.otherExpenses = otherExpenses;
    }

    public String getPreliminaryCost() {
        return preliminaryCost;
    }

    public void setPreliminaryCost(String preliminaryCost) {
        this.preliminaryCost = preliminaryCost;
    }

    public String getInvestigationFee() {
        return investigationFee;
    }

    public void setInvestigationFee(String investigationFee) {
        this.investigationFee = investigationFee;
    }

    public String getDesignFee() {
        return designFee;
    }

    public void setDesignFee(String designFee) {
        this.designFee = designFee;
    }

    public String getSupervisionFee() {
        return supervisionFee;
    }

    public void setSupervisionFee(String supervisionFee) {
        this.supervisionFee = supervisionFee;
    }

    public String getExamineIncluding() {
        return examineIncluding;
    }

    public void setExamineIncluding(String examineIncluding) {
        this.examineIncluding = examineIncluding;
    }

    public String getDeductibleTaxes() {
        return deductibleTaxes;
    }

    public void setDeductibleTaxes(String deductibleTaxes) {
        this.deductibleTaxes = deductibleTaxes;
    }

    public String getExamineInExcluding() {
        return examineInExcluding;
    }

    public void setExamineInExcluding(String examineInExcluding) {
        this.examineInExcluding = examineInExcluding;
    }

    public String getConstructionTax() {
        return constructionTax;
    }

    public void setConstructionTax(String constructionTax) {
        this.constructionTax = constructionTax;
    }

    public String getAmountTax() {
        return amountTax;
    }

    public void setAmountTax(String amountTax) {
        this.amountTax = amountTax;
    }

    public String getOtherTax() {
        return otherTax;
    }

    public void setOtherTax(String otherTax) {
        this.otherTax = otherTax;
    }

    public String getPreliminaryTax() {
        return preliminaryTax;
    }

    public void setPreliminaryTax(String preliminaryTax) {
        this.preliminaryTax = preliminaryTax;
    }

    public String getInvestigationTax() {
        return investigationTax;
    }

    public void setInvestigationTax(String investigationTax) {
        this.investigationTax = investigationTax;
    }

    public String getDesignTax() {
        return designTax;
    }

    public void setDesignTax(String designTax) {
        this.designTax = designTax;
    }

    public String getSupervisionTax() {
        return supervisionTax;
    }

    public void setSupervisionTax(String supervisionTax) {
        this.supervisionTax = supervisionTax;
    }
}
